Bug 448435 - (PythonCard-review) Review Request: PythonCard - PythonCard GUI construction toolkit
Review Request: PythonCard - PythonCard GUI construction toolkit
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Lubomir Rintel
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-26 16:05 EDT by Marek Mahut
Modified: 2008-10-27 05:51 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-27 05:51:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lkundrak: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Marek Mahut 2008-05-26 16:05:33 EDT
Spec URL: http://mmahut.fedorapeople.org/reviews/PythonCard/PythonCard.spec
SRPM URL: http://mmahut.fedorapeople.org/reviews/PythonCard/PythonCard-0.8.2-1.fc8.src.rpm
Koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=629581
Description: PythonCard is a GUI construction kit for building cross-platform desktop
applications on Windows, Mac OS X, and Linux, using the Python language.
Comment 1 Lubomir Rintel 2008-05-28 21:57:21 EDT
Marek, the package looks quite  well SPEC file is fairly legible, and the build
process seems sane. RPMlint does produce quite some complaints though.

1.) Consider moving samples out of site-packages, probably to docdir

2.) Please consider moving tools away from site-packages as well, maybe to bindir?

3.) Python packaging guidelines recommend python-$NAME naming scheme for python
modules. Please consider if it's appropriate for this package, and if not,
please explain why.

Thanks!
Comment 2 Marek Mahut 2008-06-21 14:18:02 EDT
* Good catch on samples, I've moved it with tools (these are examples) to docdir.
* python-PythonCard just does not sound nice :) I think everybody will find that
PythonCard are written in python :)

thanks
Comment 3 Lubomir Rintel 2008-06-25 17:18:53 EDT
Thanks for the fixes marek, I'm fine with the package now, I and I guess the
guidelines are too.

APPROVED
Comment 4 Marek Mahut 2008-06-25 17:23:51 EDT
New Package CVS Request
=======================
Package Name: PythonCard
Short Description: GUI construction toolkit
Owners: mmahut
Branches: F-8 F-9 EL-5
Cvsextras Commits: yes
Comment 5 Kevin Fenzi 2008-06-25 19:10:28 EDT
cvs done.
Comment 6 Lubomir Rintel 2008-10-27 05:51:53 EDT
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.